# man page gzip and strip binaries is done by rpm on most systems, but ..
%define strip_binaries 1
%define gzip_man 1
%define  __prefix /usr

Summary: TCP load-balancing proxy server
Name: balance
Version: 3.22
Release: 1
Group: Networking/Daemons
Source: http://www.inlab.de/%{name}-%{version}.tar.gz
Copyright: GPL 
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: ghostscript > 7

Prefix: %{__prefix}

%description
Balance is a simple but powerful generic tcp proxy with round robin
load balancing and failover mechanisms. Its behaviour can be controlled
at runtime using a simple command line syntax. 
This package is relocatable. Use 'rpm (i|U)vh --prefix=<newpath> balance.rpm'
to install the binary, the manpage and the docs under <newpath>. Or use
'rpm (i|U)vh --relocate=/usr/sbin=<newpath> balance.rpm' to install only the
binary in a different location.
NOTICE: The /var/run/balance/ must be fix at this time.

%prep
%setup 
%build

make CFLAGS="${CFLAGS:-$RPM_OPT_FLAGS}"
	
%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
mkdir -p    $RPM_BUILD_ROOT%{__prefix}/sbin
mkdir -p    $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p    $RPM_BUILD_ROOT/var/run/balance
chmod 1777  $RPM_BUILD_ROOT/var/run/balance
install -m 755 balance   $RPM_BUILD_ROOT%{__prefix}/sbin/balance
install -m 644 balance.1 $RPM_BUILD_ROOT%{_mandir}/man1/balance.1

%if %{strip_binaries}
{ cd $RPM_BUILD_ROOT
  strip .%{__prefix}/sbin/balance || : 
}
%endif
%if %{gzip_man}
{ cd $RPM_BUILD_ROOT
  gzip .%{_mandir}/man1/balance.1 || : 
}
%endif

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README COPYING balance.pdf
%{__prefix}/sbin/balance
%{_mandir}/man1/balance.1*
%attr(1777,root,root) %dir /var/run/balance

%changelog
* Sun Mar 13 2005 Thomas Steudten <thomas at steudten dot com> 3.22-1
- add build requirement for ghostscript
- add balance.pdf for docs
- rebuilt

* Sat Dec 04 2004 Thomas Steudten <thomas at steudten dot com> 3.19-1
- rebuilt

* Fri Jun 18 2004 Thomas Steudten <thomas at steudten dot com> 3.15-1
- rebuilt

* Thu May 20 2004 Thomas Steudten <thomas at steudten dot com> 3.13-1
- rebuilt

* Sun Oct 5 2003 Thomas Steudten <thomas at steudten dot com> 3.11-1
- rebuilt
- fix some values in this file.
- add relocation information.

* Wed Sep 24 2003 Thomas Steudten <thomas at steudten dot com> 3.10a-2 
- fix wrong version in balance.1 file.
- add new specfile to source.

* Mon Sep  22 2003 Thomas Steudten <thomas at steudten dot com> 3.10-2 
- rebuilt
- fix/expand specfile
